Apple Bluetooth Mouse and Keyboard pairing broken

Bug #32415 reported by hungarianhc on 2006-02-22
78
Affects Status Importance Assigned to Milestone
Ubuntu
Medium
Unassigned
bluez (Ubuntu)
Medium
Unassigned
bluez-utils (Ubuntu)
Undecided
Unassigned

Bug Description

Hi there,

This is my first bug I've ever submitted so please let me know what I can do to make it more useful.

Hardware: iBook G4 1.25ghz 12", 1 gb RAM
Apple Bluetooth Keyboard
Apple Bluetooth Mouse

Something breaks Bluetooth somewhere along the bootup sequence. When LILO starts up, i can use my bluetooth keyboard to select whether to boot in linux, os x, or CD.

However, once GDM comes up, my bluetooth devices are no longer functional. This problem does not exist in Flight 3 so it must be new to flight 4. I re-tested flight 3 to confirm.

Upon running the command, "hidd --search", "no devices in range or visible" is returned to me. Please let me know if there are any tests I can conduct to make this more informative. Thank you.

-Kevin

sam tygier (samtygier) wrote :

this problem was also discussed at http://ubuntuforums.org/showthread.php?t=142987 and http://ubuntuforums.org/showthread.php?t=143388

people are removing bluez-cups bluez-pcmcia-support bluez-pin bluez-utils as a work around.

sam tygier (samtygier) wrote :

several discussions and a dupe bug report seems like evidence enough to confirm.

Changed in bluez-utils:
status: Unconfirmed → Confirmed
hungarianhc (kev-hanson) wrote :

I can confirm that this bug still exists as of March 20 in the daily build of Ubuntu. I can also confirm that removing bluez-* solved my problem.

i disabled the use of bluez-utils with bum (bootup manager). that worked for me. I got a Logitech dinovo set.

mtron (mtron) wrote :

in this thread http://ubuntuforums.org/showthread.php?t=159189, dapper beta useres (fresh install & upgrade from flight 6) reported that the init.d script "sudo /etc/init.d/bluez-utils restart" does not work. Also after pluggin' in the transreciever, a user had to manually "up" the subsystem.

VinceLe (legoll) wrote :

I tried Ubuntu 6.06 beta 2 live ppc on my macmini
and have the same problem, my bluetooth keyboard does not work
I managed to cut'n'paste some commands with the mouse but this is painful :-(
Maybe there is a way to get a sshd running on the live distro, I'll try that...

hcitool search said it found my keyboard
dmesg showed the device as being recognised
lsusb -v showed it connected to an internal usb port
/etc/init.d/bluez-utils restart didn't manage to get key presses passed to Xorg...

I didn't find a way to try the "workaround" I read in a forum post, that is to remove bluez-* packages

VinceLe (legoll) wrote :

Changed status to confirmed

Hi
I have a PowerMac G5 bi 2GHz with internal bluetooth. I've got apple bluetooth keyboard and logitech MX900.
I've just updated to Dapper and I've download bluez 2.25 source code to do some research on this bug.
The problem occurs in ./hidd/main.c, line 313, in function int create_device:
   err = ioctl(ctl, HIDPCONNADD, &req);
This call returns -1 and set errno to 14. An error is displayed in stderr (sometimes also in syslog) when I try to connect manualy with:
   ./hidd --connect <mac-address>
With breezy, I used to keep the bluetooth dongle in HID mode (hardware mode used in bootloader) to avoid the problem, but I had a similar error when I tried to connect using bluez.
I'm not confident enough with ioctl() to understand the error. Maybe someone can help with this call.
There seems to be a duplicate in #41786

After following all advice about removing bluez and turning sound off: our test unit is still completely unusable.

We apparently have the worst of all possible worlds - a G5 system with the known sound and power (fan) problems, but also the bluetooth problems.

The root prompt from "Linux single" occasionally just hangs, particularly inside the vim editor. We managed to edit gdm.conf to shut sound off and also use apt to remove bluez, but only with multiple reboots between editing attempts.

Regular bootup produces the GDM login, which is now barely functional We can type the user login data, but then GDM simply hangs with a stationary mouse cursor on screen and nothing else. We have original Apple wireless mouse and keyboard (no USB, sorry).

DAPPER FINAL DOES NOT FUNCTION ON OUR SYSTEM AT ALL EVEN WITH THE KNOWN WORKAROUNDS.

We're puzzled by the priority assignments of these dramatic hardware bugs. Bugs which completely prevent use of the OS merit maximum priority. Some of these bugs have been lying around a long time, too.

I installed Kubuntu (final) and I have the same problems. My Targus Bluetooth mouse only works if I disable the bluez service and restart. Can anybody find how to fix this without disabling the whole bluez stuff, please.

Confirmed with Logitech diNovo setup. The issue is a GDM interaction. Perhapse a bug should be filed against GDM as well?

Zhares (launchpad1) wrote :

This is not a GDM bug but a bluez bug. I've tried with bluez 3 as well and got the same error. Or maybe it is a bug in the bluetooth module. It's probably a 64-bit or bigendian error since this code has been writen for x86.

There are 2 ways of having the internal bluetooth connect to keyboard and mouse to work with a G5:
- the HID mode: this is the default mode at boot time, the one wich is used in yaboot and openfirmware. It is also the mode used when bluez is not installed. In this mode, the bluetooth is totaly transparent to linux, which only sees a standard keyboard and mouce. This mode is NOT the good one: The mouse wheel is not supported, neither is the sound keys or the eject key. And it is impossible to connect any other bluetooth device (phone, headset, ...) to the computer.
- the HCI mode, which is the normal bluetooth mode. Mice and keyboards are detected using bluez utils, and linked to the computer like any other device. This is supposed to happen at boot time so that the input device are ready to talk to GDM. The connection and pairing works fine but when it comes to get live data, the hidd program failes a ioctl call.
I've posted this bug in the bluez mailing list but nobody seems to know what it is about.
I would be very happy to track that bug but I am no idea where to start. Maybe I'll try bluez-dev soon.

pdecat (pdecat) wrote :

Problem confirmed on stock Ubuntu 6.06 and fully updated as of 2006-08-05 (Linux myhost 2.6.15-26-k7 #1 SMP PREEMPT Thu Aug 3 03:40:32 UTC 2006 i686 GNU/Linux)

Fixed by commenting out hid2hci commands in /etc/init.d/bluez-utils :

$ diff /etc/init.d/bluez-utils /etc/init.d/bluez-utils.bak
202c202
< #enable_hci_input || true
---
> enable_hci_input || true
211c211
< #disable_hci_input || true
---
> disable_hci_input || true

Zhares (launchpad1) wrote :

Again, this is not a fix but a workaround that will disable bluetooth at the OS level and therefore prevent the bluetooth dongle to be used to connect to phones, PDAs, headset.

Onkar Shinde (onkarshinde) wrote :

Can somebody attach /etc/default/bluez-utils file?
Can someone confirm that HIDD_ENABLED is 1 in /etc/default/bluez-utils

Is this still issue with Ubuntu 6.06 (Dapper final)?

pdecat (pdecat) wrote :

Here you are.

It has "HIDD_ENABLED=0" in it.

pdecat (pdecat) wrote :

Forgot to specify it comes from Ubuntu 6.06.1.

Onkar Shinde (onkarshinde) wrote :

Wrong package.

Onkar Shinde (onkarshinde) wrote :

Rejecting as the problem is with configuration.
Please set HIDD_ENABLED=1 in /etc/default/bluez-utils and restart the bluetooth services. (sudo /etc/init.d/bluez-utils restart)

Reopen the bug is you face problems after changing configuration.

Changed in bluez-utils:
status: Confirmed → Rejected
Lothar (lothar-tradescape) wrote :

changing HIDD_ENABLED=1 (was recommended in some other thread, too) did not make my mouse work on Dapper (I already changed it months ago).

Lothar (lothar-tradescape) wrote :

I forgot to say that it doesn't work with Edgy either (I downloaded the ISO and ran it from CD only).

Onkar Shinde (onkarshinde) wrote :

@Lothar

Can you please tell me if following instructions on https://help.ubuntu.com/community/BluetoothSetup helps you?

If it doesn't then please paste/attach outputs of following commands.
* hcitool dev
* lsmod |grep hidp
* grep hidp /etc/modules
* lsusb (assuming that you are using bluetooth dongle)
* dmesg | grep -i blue

AJ Slater (aj-slater) wrote :

This is still an issue on Dapper. Onkar's rejection reasons are wrong. Changing the HIDD_ENABLED setting does not work.
There is a problem with bluetooth and GDM interaction.
IIRC the problem is dbus permissions related.

This bug makes Ubunutu look very bad.
If you boot stock Dapper with a bluetooth keyboard (such as my Logitech DiNovo) The keyboard and mouse cease functioning as soon as GDM starts.

I'll try to get a daemon.log for you later today.

Lothar (lothar-tradescape) wrote :
Download full text (3.7 KiB)

 Onkar Shinde wrote:
>If it doesn't then please paste/attach outputs of following commands.
> * hcitool dev
> * lsmod |grep hidp
> * grep hidp /etc/modules
> * lsusb (assuming that you are using bluetooth dongle)
> * dmesg | grep -i blue

here they are. Let me know if you need anything else

lothar@janus$ hcitool dev
Devices:
        hci1 00:0C:55:FD:16:37

lothar@janus$ lsmod |grep hidp
hidp 36096 0
l2cap 30464 6 rfcomm,hidp
bluetooth 59396 8 rfcomm,hidp,l2cap,hci_usb

lothar@janus$ grep hidp /etc/modules

lothar@janus$ lsusb
Bus 003 Device 001: ID 0000:0000
Bus 001 Device 003: ID 0a5c:2009 Broadcom Corp.
Bus 001 Device 002: ID 0a5c:3535 Broadcom Corp.
Bus 001 Device 001: ID 0000:0000
Bus 002 Device 004: ID 04d9:048e Holtek Semiconductor, Inc.
Bus 002 Device 001: ID 0000:0000

lothar@janus$ dmesg | grep -i blue
[ 32.151269] Bluetooth: Core ver 2.8
[ 32.151275] Bluetooth: HCI device and connection manager initialized
[ 32.151284] Bluetooth: HCI socket layer initialized
[ 32.218292] Bluetooth: HCI USB driver ver 2.9
[ 65.430917] Bluetooth: L2CAP ver 2.8
[ 65.430921] Bluetooth: L2CAP socket layer initialized
[ 65.439003] Bluetooth: HIDP (Human Interface Emulation) ver 1.1-mh1
[ 70.429286] Bluetooth: RFCOMM socket layer initialized
[ 70.429295] Bluetooth: RFCOMM TTY layer initialized
[ 70.429296] Bluetooth: RFCOMM ver 1.7

from /var/log/syslog
Oct 12 13:46:12 janus kernel: [ 5731.545033] usb 2-1: new low speed USB device using ohci_hcd and address 4
Oct 12 13:46:12 janus kernel: [ 5731.622586] input: HID 04d9:048e as /class/input/input5
Oct 12 13:46:12 janus kernel: [ 5731.622618] input: USB HID v1.10 Mouse [HID 04d9:048e] on usb-0000:00:02.1-1
Oct 12 13:46:19 janus kernel: [ 5733.894290] ohci_hcd 0000:00:02.0: wakeup
Oct 12 13:46:19 janus kernel: [ 5734.022062] usb 1-2: new full speed USB device using ohci_hcd and address 2
Oct 12 13:46:20 janus kernel: [ 5734.093948] hub 1-2:1.0: USB hub found
Oct 12 13:46:20 janus kernel: [ 5734.094921] hub 1-2:1.0: 3 ports detected
Oct 12 13:46:20 janus kernel: [ 5734.203728] usb 1-2.1: new full speed USB device using ohci_hcd and address 3
Oct 12 13:46:20 janus hcid[4667]: HCI dev 1 registered
Oct 12 13:46:20 janus kernel: [ 5734.315526] usb 1-2.2: new full speed USB device using ohci_hcd and address 4
Oct 12 13:46:21 janus hcid[4667]: HCI dev 1 up
Oct 12 13:46:21 janus hcid[4667]: Starting security manager 1
Oct 12 13:46:21 janus kernel: [ 5734.369476] input: HID 0a5c:3502 as /class/input/input6
Oct 12 13:46:21 janus kernel: [ 5734.369493] input: USB HID v1.11 Keyboard [HID 0a5c:3502] on usb-0000:00:02.0-2.2
Oct 12 13:46:21 janus kernel: [ 5734.439304] usb 1-2.3: new full speed USB device using ohci_hcd and address 5
Oct 12 13:46:21 janus kernel: [ 5734.482919] input: HID 0a5c:3503 as /class/input/input7
Oct 12 13:46:21 janus kernel: [ 5734.482954] input: USB HID v1.11 Mouse [HID 0a5c:3503] on usb-0000:00:02.0-2.3
Oct 12 13:46:26 janus kernel: [ 5736.239401] usb 1-2.2: USB disconnect, address 4
Oct 12 13:46:26 janus kernel: [ 5736.285984] usb 1-2.3: USB disconnect, address 5
Oct 12 13:48:35 janus kernel: [ 5782.374127] usb 2-2: USB d...

Read more...

Lothar (lothar-tradescape) wrote :

Hi Onkar,

if you want you can buy a Targus AMB01 mouse to make it work with Dapper.

http://froogle.google.com/froogle?q=Targus+AMB01&hl=en&lr=&ie=UTF-8&oe=UTF-8&safe=off&sa=X&oi=froogle&ct=title

If you can make it work on Dapper+ (updated *deb packets via apt-get update/install, no manual hacking), I am willing to reimburse you for the purchase via paypal (max. $50, as most expensive one on froogle is $47.95).

Lothar (lothar-tradescape) wrote :

@ Onkar Shinde

can you please reopen the bug? I could not do it. Thanks!

Onkar Shinde (onkarshinde) wrote :

Reopening since many people are having problem.

Changed in bluez-utils:
status: Rejected → Confirmed
Onkar Shinde (onkarshinde) wrote :

@Lothar, AJ Slater

I totally agree with you that this is bad bug and should be fixed for Dapper.
I am no developer. I am just another user. I was just trying to help. Looks like my assumptions proved wrong.

@Lothar
One more question. Is the bluetooth device you are using (dongle or on board) is based on broadcom chipset. I am asking this because I couldn't understand which one of your 3 USB devices was bluetooth?

Daniel Holbach (dholbach) wrote :

Can somebody with an Edgy of today (2006-10-13)? A bunch of changes went in yesterday and the day before and it'd interesting to hear back.

Changed in bluez-utils:
assignee: nobody → bluetooth
status: Confirmed → Needs Info
Onkar Shinde (onkarshinde) wrote :

@Daniel

Looks like most of the reporters want it fixed/working out of box on Dapper since it is LTS release. ;-)

Following are my observations. See if that helps. Also correct me if I am wrong.
1. The problem is mostly on Apple hardware.
2. AFAIK, Apple uses broadcom cheapset based devices.
3. It looks like mouse/keyboards are getting disabled when login screen shows up (GDM starts).

I have neither Apple hardware nor bluetooth keyboad/mouse. So I can't provide more inputs.

Daniel Holbach (dholbach) wrote :

Onkar: it'd help to know if it works in Edgy. If it does, we need to find out, which obvious and small fix we can apply to Dapper.

Lothar (lothar-tradescape) wrote :

Onkar, Daniel:

I can confirm that the Mouse I use (Targus AMB01) uses a Broadcom Chipset (see lsusb above)

I tested it with Dapper on two different laptops with 32 and 64 bit. I also tested Edgy (I think it was Knot3). None of them work out of the box.

As said above I am willing to sponsor one developer with a Targus AMB01. Take advantage of that ;-)

Good night for now ;-)

Daniel Holbach (dholbach) wrote :

Please somebody try with a recent Edgy. Thanks a lot.

Everyone here knows that you can still get a full working bluetooth setup if
you remove all bluez* packages right? everything works if you do that. This
problem is not specific to apples either. It has existed for way too long.

-Kevin

On 10/13/06, Daniel Holbach <email address hidden> wrote:
>
> Please somebody try with a recent Edgy. Thanks a lot.
>
> --
> Bluetooth Mouse and Keyboard Broken in Dapper Flight 4 & 6.06 beta 2
> https://launchpad.net/bugs/32415
>

Daniel,

I have an MS BT mouse/kb combo at home and two different USB BT dongle, but the rig is at home and I am not. I will test on the very latest Edgy (I am updating daily), tomorrow or Sunday at the latest. Stay tuned !

Lothar (lothar-tradescape) wrote :

@Daniel,

I can test.
where can I download an iso to test what you consider "a recent Edgy" ?
I need a live CD, as I don't want to overwrite my Dapper installation.

Lothar (lothar-tradescape) wrote :

@hungarianhc

no, deactivating/removing the bluez* packages is NO help.
it disables to use any other bluetooth devices besides HID and the scroll whell for mice does NOT work in this basic mode either.

I don't have a scroll function on my mouse but removing bluez still
leaves my bt mouse and keyboard functional

On 10/13/06, Lothar <email address hidden> wrote:
> @hungarianhc
>
> no, deactivating/removing the bluez* packages is NO help.
> it disables to use any other bluetooth devices besides HID and the scroll
> whell for mice does NOT work in this basic mode either.
>
> --
> Bluetooth Mouse and Keyboard Broken in Dapper Flight 4 & 6.06 beta 2
> https://launchpad.net/bugs/32415
>

Zhares (launchpad1) wrote :

Hi,

Don't waste your time testing all dongles and mouses, it is not device related. The configuration files are fine as weel, since they work on other architectures.
It is a bug in the bluetooth module (or ioctl) on ppc and ppc-64 architecture, which is probably a big-endian problem.
Has you can see in my first post, there is an failure in a call to ioctl on the hidd deamon. That is were we have to trace the bug. We need a kernel hacker to fix that one.

Jan Claeys (janc) on 2007-04-22
Changed in bluez-utils:
status: Needs Info → Confirmed
77 comments hidden view all 157 comments

Hi,
Just want to add my name to the list of peeps affected by this bug :-)
I have the Logitech MX Bluetooth Kyb/Mouse, which was fine until 5.10, and after having shelved this expensive monster for a year, I see it's still not fine in 7.04 - but at least re-plugging it seems to re-awaken it.
I'll keep an eye on this thread, but email me if there is anything I can add or help with.
Rgds,
Zoltan

On Tue, May 15, 2007 07:58, Zoltan wrote:
> Hi,
> Just want to add my name to the list of peeps affected by this bug :-)
> I have the Logitech MX Bluetooth Kyb/Mouse, which was fine until 5.10, and
> after having shelved this expensive monster for a year, I see it's still
> not fine in 7.04 - but at least re-plugging it seems to re-awaken it.
> I'll keep an eye on this thread, but email me if there is anything I can
> add or help with.

Do you have any other bluetooth devices? Mobile phone, headset,...
Do they work when you re-plug? Before and/or after?

--
Amedee Van Gasse
<email address hidden>

amedee wrote:
> On Tue, May 15, 2007 07:58, Zoltan wrote:
>
>> Hi,
>> Just want to add my name to the list of peeps affected by this bug :-)
>> I have the Logitech MX Bluetooth Kyb/Mouse, which was fine until 5.10, and
>> after having shelved this expensive monster for a year, I see it's still
>> not fine in 7.04 - but at least re-plugging it seems to re-awaken it.
>> I'll keep an eye on this thread, but email me if there is anything I can
>> add or help with.
>>
>
> Do you have any other bluetooth devices? Mobile phone, headset,...
> Do they work when you re-plug? Before and/or after?
>
The unit only connects to it's own kyb & mouse - my Nokia E70 cannot see it.
Z

--

===========================================
Geograph (Pty) Ltd.
P.O. Box 31255, Tokai 7966, South Africa.

B3-106 Tokai Village, cnr Vans/Tokai Rds,
Tokai 7945, Western Cape, South Africa.

Tel: +27-21-7154329 Mobile: +27-83-6004028
Fax: +27-86-6115323
===========================================

On Tue, May 15, 2007 15:40, Zoltan wrote:
> amedee wrote:
>> On Tue, May 15, 2007 07:58, Zoltan wrote:
>>
>>> Hi,
>>> Just want to add my name to the list of peeps affected by this bug :-)
>>> I have the Logitech MX Bluetooth Kyb/Mouse, which was fine until 5.10,
>>> and
>>> after having shelved this expensive monster for a year, I see it's
>>> still
>>> not fine in 7.04 - but at least re-plugging it seems to re-awaken it.
>>> I'll keep an eye on this thread, but email me if there is anything I
>>> can
>>> add or help with.
>>>
>>
>> Do you have any other bluetooth devices? Mobile phone, headset,...
>> Do they work when you re-plug? Before and/or after?
>>
> The unit only connects to it's own kyb & mouse - my Nokia E70 cannot see
> it.

That confirms you have the same bug.
Your E70 *should* be able to see the pc and vice versa.
Because it can't, that means your bluetooth unit is now in HID legacy
(USB) mode. When you type sudo hid2hci at console, you will loose keyb &
rodent but your E70 will be able to see the pc. (if hid2hci dosn't give
any other error)

--
Amedee

amedee wrote:
> On Tue, May 15, 2007 15:40, Zoltan wrote:
>
>> amedee wrote:
>>
>>> On Tue, May 15, 2007 07:58, Zoltan wrote:
>>>
>>>
>>>> Hi,
>>>> Just want to add my name to the list of peeps affected by this bug :-)
>>>> I have the Logitech MX Bluetooth Kyb/Mouse, which was fine until 5.10,
>>>> and
>>>> after having shelved this expensive monster for a year, I see it's
>>>> still
>>>> not fine in 7.04 - but at least re-plugging it seems to re-awaken it.
>>>> I'll keep an eye on this thread, but email me if there is anything I
>>>> can
>>>> add or help with.
>>>>
>>>>
>>> Do you have any other bluetooth devices? Mobile phone, headset,...
>>> Do they work when you re-plug? Before and/or after?
>>>
>>>
>> The unit only connects to it's own kyb & mouse - my Nokia E70 cannot see
>> it.
>>
>
> That confirms you have the same bug.
> Your E70 *should* be able to see the pc and vice versa.
> Because it can't, that means your bluetooth unit is now in HID legacy
> (USB) mode. When you type sudo hid2hci at console, you will loose keyb &
> rodent but your E70 will be able to see the pc. (if hid2hci dosn't give
> any other error)
>
>
that is 100% correct. (just tried it)
So, do I just sit back and wait for a fix?
Z

--

===========================================
Geograph (Pty) Ltd.
P.O. Box 31255, Tokai 7966, South Africa.

B3-106 Tokai Village, cnr Vans/Tokai Rds,
Tokai 7945, Western Cape, South Africa.

Tel: +27-21-7154329 Mobile: +27-83-6004028
Fax: +27-86-6115323
===========================================

Op dinsdag 15-05-2007 om 15:04 uur [tijdzone +0000], schreef Zoltan:
> amedee wrote:
> > On Tue, May 15, 2007 15:40, Zoltan wrote:
> >
> >> amedee wrote:
> >>
> >>> On Tue, May 15, 2007 07:58, Zoltan wrote:
> >>>
> >>>
> >>>> Hi,
> >>>> Just want to add my name to the list of peeps affected by this bug :-)
> >>>> I have the Logitech MX Bluetooth Kyb/Mouse, which was fine until 5.10,
> >>>> and
> >>>> after having shelved this expensive monster for a year, I see it's
> >>>> still
> >>>> not fine in 7.04 - but at least re-plugging it seems to re-awaken it.
> >>>> I'll keep an eye on this thread, but email me if there is anything I
> >>>> can
> >>>> add or help with.
> >>>>
> >>>>
> >>> Do you have any other bluetooth devices? Mobile phone, headset,...
> >>> Do they work when you re-plug? Before and/or after?
> >>>
> >>>
> >> The unit only connects to it's own kyb & mouse - my Nokia E70 cannot see
> >> it.
> >>
> >
> > That confirms you have the same bug.
> > Your E70 *should* be able to see the pc and vice versa.
> > Because it can't, that means your bluetooth unit is now in HID legacy
> > (USB) mode. When you type sudo hid2hci at console, you will loose keyb &
> > rodent but your E70 will be able to see the pc. (if hid2hci dosn't give
> > any other error)
> >
> >
> that is 100% correct. (just tried it)
> So, do I just sit back and wait for a fix?

Yeah, you, me and a couple of tens, hundred or perhaps even thousand
Logitech Bluetooth users that also happen to use Ubuntu Linux have been
waiting for more than a year now. Join the club. Annual renewal of your
membership is free.

--
Amedee Van Gasse <email address hidden>

amedee wrote:
> Op dinsdag 15-05-2007 om 15:04 uur [tijdzone +0000], schreef Zoltan:
>
>> amedee wrote:
>>
>>> On Tue, May 15, 2007 15:40, Zoltan wrote:
>>>
>>>
>>>> amedee wrote:
>>>>
>>>>
>>>>> On Tue, May 15, 2007 07:58, Zoltan wrote:
>>>>>
>>>>>
>>>>>
>>>>>> Hi,
>>>>>> Just want to add my name to the list of peeps affected by this bug :-)
>>>>>> I have the Logitech MX Bluetooth Kyb/Mouse, which was fine until 5.10,
>>>>>> and
>>>>>> after having shelved this expensive monster for a year, I see it's
>>>>>> still
>>>>>> not fine in 7.04 - but at least re-plugging it seems to re-awaken it.
>>>>>> I'll keep an eye on this thread, but email me if there is anything I
>>>>>> can
>>>>>> add or help with.
>>>>>>
>>>>>>
>>>>>>
>>>>> Do you have any other bluetooth devices? Mobile phone, headset,...
>>>>> Do they work when you re-plug? Before and/or after?
>>>>>
>>>>>
>>>>>
>>>> The unit only connects to it's own kyb & mouse - my Nokia E70 cannot see
>>>> it.
>>>>
>>>>
>>> That confirms you have the same bug.
>>> Your E70 *should* be able to see the pc and vice versa.
>>> Because it can't, that means your bluetooth unit is now in HID legacy
>>> (USB) mode. When you type sudo hid2hci at console, you will loose keyb &
>>> rodent but your E70 will be able to see the pc. (if hid2hci dosn't give
>>> any other error)
>>>
>>>
>>>
>> that is 100% correct. (just tried it)
>> So, do I just sit back and wait for a fix?
>>
>
> Yeah, you, me and a couple of tens, hundred or perhaps even thousand
> Logitech Bluetooth users that also happen to use Ubuntu Linux have been
> waiting for more than a year now. Join the club. Annual renewal of your
> membership is free.
>
>
yay

--

===========================================
Geograph (Pty) Ltd.
P.O. Box 31255, Tokai 7966, South Africa.

B3-106 Tokai Village, cnr Vans/Tokai Rds,
Tokai 7945, Western Cape, South Africa.

Tel: +27-21-7154329 Mobile: +27-83-6004028
Fax: +27-86-6115323
===========================================

@amedee, Zoltan
Can you see if this helps http://ubuntuforums.org/showpost.php?p=2334318&postcount=17 I have a fully functional Logitech diNovo Laser now, at least one fellow ubuntero has reported success with that guide.

My 2¢,
Alex

On Tue, May 22, 2007 16:53, alex_mayorga wrote:
> @amedee, Zoltan
> Can you see if this helps
> http://ubuntuforums.org/showpost.php?p=2334318&postcount=17 I have a fully
> functional Logitech diNovo Laser now, at least one fellow ubuntero has
> reported success with that guide.

I'll try it tonight (not at that pc right now) but anyway... this is a
highly specialized manual operation, not suitable for first time Linux
users.
The main issue of this bug is that the Logitech bluetooth sets don't work
out of the box.

--
Amedee

Hi

I've got a Dinovo Keyboard set (First Generation) installed on a PC (Intel Pentium III Prescot E)
After some times on Gentoo I have installed a Kubuntu feisty with the alternate CD.

My box is running the 2.6.20-16-generic #2 SMP kernel.

I have this problem too. Having spend some times fuguring out on my gentoo how to make work the dinovo set, I've tried looking why kubuntu didn't do it.

First it can work by doing by hand :

hidd --connect AA:BB:CC:DD:EE:FF (Mouse or whatever)
hidd --connect AA:BB:CC:DD:EE:GG (keybord or whatever)
hidd --connect AA:BB:CC:DD:EE:HH (Mediapad or whatever)

Like in other distros by the way. The first time you HAVE TO hidd --connect your device by hand. (don't know why)
The problem is then when you reboot it don't keep the config (other distros does or may)

putting
HIDD_ENABLED=1
in /etc/default/bluetooth doesn't change this
nor in /etc/init.d/bluettoth

putting
HIDD_OPTIONS=" --connect AA:BB:CC:DD:EE:FF --connect AA:BB:CC:DD:EE:GG --master --server"
doesn't make it either (it may by the way but since you make a connect for the first time you need, on dinovo devices, to press a connection button, it doesn't work for that reason : you need to press the buttons on your devices at each boot.)

The most strange thing comes here :

I've tried to make an hcitool scan ... and nothing came. So I tried an hciconfig on the /dev/hci0... it didn't exists :
Normally it shouldhave : when you boot /etc/init.d/bluetooth it launches hid2hci script which create an /dev/hci0 device from /dev/hiddev0.

so I tried to run hid2hci manually... it gives on the console :
Switching device 046d:c704 to HCI mode was successful
But here is what I get in /var/log/messages :

neskweek (sebastiencapou) wrote :

(:P Send the last report as I didn't finished it. Sorry Off course the attached file is to read after my thread )

Then in the kernel bug report we can see that the bug you're hunting is located on the hidp kernel module.

I'm currently searching if this patch was installed in the ubuntus kernel : http://www.bluez.org/patches.html (my guess is that it's not. That could explain why bluetooth mouses and bluetooth keyboards don't come up )

Here is my thread on gentoo forums related to Dinovo Keyboard set. Hope it Helps:
http://forums.gentoo.org/viewtopic-t-231506-highlight-dinovo.html

PS : the hidd --connect thing is to be done when you want to use your mouses keyboards in BT mode. When you desinstall bluez-packages mouses and keyboards work because then you use another kernel modules (HID if I remember well, in USB section) BUT using that modules restrict the radius of use of your devices (1 or 2 meters instaed of 10 meters using BT mode). Also you may not be able to use all buttons as intended (don't know why ... just seen it).

PS2: As I was searching I saw this in /etc/default/bluetooth :

############ HIDD
#
# To have Bluetooth mouse and keyboard support, get the
# Linux 2.6.6 patch or better from bluez.org, and set
# HIDD_ENABLED to 1.

Clear enough : the bluez patch isn't installed that's why mouses and keyboards doesn't work in BT mode.
No need to dig more
I install it and come back to you to tell you the results

Amedee Van Gasse (amedee) wrote :

Any results yet, neskweek?

neskweek (sebastiencapou) wrote :

Sorry :P
Depited I forgot to post my reults :
When I tryed patching the kernel with bluez patch, the patch process reports that almost all modifications have already been done to the kernel (which is weird... maybe that's due to some modification made by the ubuntu team but not exactly the same that bluez patch. That's only an assumption)

Anyway I tried to compile it, but there's no use: compilation breaks each time. I don't remember where (sorry). I tried several times with differents options but it fails. It doesn't compile with that patch. Without it does.

Seeing that , as I wrote earlyer I "think" that ubuntu team applyed a custom patch derived from bluez one (or maybe a older patch created for older kernel version , but I doubt that one) for any reason. But that patch isn't working. I think another patch conflict with that one.

As I work on another thing I just spend two days on that. For now, I just desinstall bluez packages... Making my Dinovo set working as an USB device :/

On Fri, August 3, 2007 10:02, neskweek wrote:
> Sorry :P
> Depited I forgot to post my reults :
> When I tryed patching the kernel with bluez patch, the patch process
> reports that almost all modifications have already been done to the kernel
> (which is weird... maybe that's due to some modification made by the
> ubuntu team but not exactly the same that bluez patch. That's only an
> assumption)
>
> Anyway I tried to compile it, but there's no use: compilation breaks
> each time. I don't remember where (sorry). I tried several times with
> differents options but it fails. It doesn't compile with that patch.
> Without it does.
>
> Seeing that , as I wrote earlyer I "think" that ubuntu team applyed a
> custom patch derived from bluez one (or maybe a older patch created for
> older kernel version , but I doubt that one) for any reason. But that
> patch isn't working. I think another patch conflict with that one.

What if you compile a vanilla kernel from kernel.org?
Copy .config to the vanilla kernel, then make oldconfig and fix config
issues (if any).

--
Amedee

Hi All,
I am new to this discussion, just tripped over it while looking for something totally different.
If I say something silly, please let me know. Just trying to help, but I may be totally wrong here :-)

My understanding of the symptoms:
- a bluetooth mouse or keyboard, regardless of the brand or chipset, will stop working when GDM comes up
- reconnecting explicitely the device(s) at that point restores the device functionality, but then it is not working anymore at next boot, until GDM is up and running again
- the problem seems system dependant

It looks like the devices stop working at the exact moment when the Bluetooth stack is loaded and the adapter is switched from HID to HCI mode. Despite knowing the device address, the stack fails in reconnecting the device.

A similar problem can occur if there is a discrepancy in Bluetooth link key inside the broadcom BT adapter in HID mode, and the link key stored by the host stack.

Again, I have no clue about the actual implementation of Dapper (actually I heard that name for the first time today :-), but my guess is that there must be some code / HCI commands missing to synchronize the link keys, or alternatively that depending on the silicon used that synchronisation does not work as expected, and requires some undocumented commands. If not done already, it would probably help to look at the HCI traffic on USB on the original OS supplied with the machine (MacOS X) and compare it with what Dapper does.

Ron Adams (tohuw) wrote :

I can confirm a variation on Gusty Beta, fully patched as of 9/29. I have an MX Revolution mouse, which works fine throughout (as expected; it's not bluetooth and has its own dongle), but my MX 5000 bluetooth keyboard does not work until it is replugged.

AMD 64-FX running x86 Gusty Beta.

If you need any logs, let me know.

Alex Mayorga (alex-mayorga) wrote :

@Ron Adams,

Might it be you're indeed seeing Bug #123920 ?

DaveAbrahams (boostpro) wrote :

This is still a problem in Gutsy. My Logitech mouse stops working if I leave the computer too long. The only workaround I've found is to turn the physical bluetooth switch on the laptop off and on again.

ChaseNeveu (chaseneveu-gmail) wrote :

After searching the internet for solutions to my particular bluetooth problem, I've come across dozens of these bug reports. It's the same for each one:

"My keyboard/mouse won't reconnect after reboot/suspend/idle."

And the response has been the same too:

"Try entering this into your configs and/or uninstall bluetooth entirely." ('this' being a reference to instructions posted in one particular thread I've been directed to about 12 separate times; http://ubuntuforums.org/showthread.php?t=227057)

I've read through all these bug reports for a solution, tried the workarounds--I'm still unable to get my keyboard or mouse to consistently connect on boot. It's not a viable option for me to find another keyboard every time I need to LOG IN. It wouldn't make me so upset if this was a relatively new occurrence. It's not. It's been around for a long while. Dapper, Feisty, Gusty, and now symptoms on Hardy too. Correct me if I'm wrong, but I thought these bug reports were supposed to fix bugs, not direct people to workarounds that don't work.

If there are so many reports, how is this problem not yet fixed? How is this on the back burner, while other negligible problems are being solved? Or maybe I'm the only one who needs a keyboard or mouse to operate Ubuntu--I don't think that's the case, considering the prevalence of laptops and wireless solutions touted in this modern age. These problems need to be fixed, especially if usability is of concern here.

It's not very welcoming to boot into Linux, only to be greeted by a login screen with no input method.

On Sun, March 23, 2008 01:42, ChaseNeveu wrote:
> After searching the internet for solutions to my particular bluetooth
> problem, I've come across dozens of these bug reports. It's the same for
> each one:
>
> "My keyboard/mouse won't reconnect after reboot/suspend/idle."
>
> And the response has been the same too:
>
> "Try entering this into your configs and/or uninstall bluetooth
> entirely." ('this' being a reference to instructions posted in one
> particular thread I've been directed to about 12 separate times;
> http://ubuntuforums.org/showthread.php?t=227057)
>
> I've read through all these bug reports for a solution, tried the
> workarounds--I'm still unable to get my keyboard or mouse to
> consistently connect on boot. It's not a viable option for me to find
> another keyboard every time I need to LOG IN. It wouldn't make me so
> upset if this was a relatively new occurrence. It's not. It's been
> around for a long while. Dapper, Feisty, Gusty, and now symptoms on
> Hardy too. Correct me if I'm wrong, but I thought these bug reports were
> supposed to fix bugs, not direct people to workarounds that don't work.
>
> If there are so many reports, how is this problem not yet fixed? How is
> this on the back burner, while other negligible problems are being
> solved? Or maybe I'm the only one who needs a keyboard or mouse to
> operate Ubuntu--I don't think that's the case, considering the
> prevalence of laptops and wireless solutions touted in this modern age.
> These problems need to be fixed, especially if usability is of concern
> here.
>
> It's not very welcoming to boot into Linux, only to be greeted by a
> login screen with no input method.
>
ACK all the way.

I will give a Logitech bluetooth keyboard+mouse to the developer who can
solve this problem, or I will donate the value of that keyb+mouse to a
charity of his/her choice. That is an incentive of about 100€ if I'm not
mistaken. If there are others who are also willing to donate, I'll set up
a pledge site to get this bug fixed.

My logitech cordless elite bluetooth hub connects with USB.
When you get the first login prompt, just pull out the USB plug, wait a second or two and plug it back in. Both your keyboard and mouse will then wake up. Tadaaa!

I fully agree that this is the most pathetically tedious bug I have ever seen. It probably also causes the most bad press for Linux as every bluetooth user will get caught by it.
Surely the relevant developers can see from the amount of threads and postings on this subject, that it is a critical bug?

Guys (that's the developers out there), if you want to rule the world so you dont' have to keep looking out a window, clean up the visible bugs.

No one cares about the esoteric and deep down inside security bugs (ok, until they get caught out) that the Linux brain-surgeons fix. It's about visibility, not what is good and correct - Just ask our president elect: Mr Zuma ;-)

my 2c

On Tue, March 25, 2008 06:58, Zoltan wrote:
> My logitech cordless elite bluetooth hub connects with USB.
> When you get the first login prompt, just pull out the USB plug, wait a
> second or two and plug it back in. Both your keyboard and mouse will then
> wake up. Tadaaa!

Nada tadaaa!

When you unplug your bluetooth dongle, and plug it back in, it goes into a
"legacy mode" or "bios mode" or "usb compatibility mode" or "hid mode".
This is not good. The _hid_ mode has reduced bluetooth functionality. Your
mouse and keyboard will work (but only the standard buttons, not any fancy
multimedia buttons on your keyboard, and only 3 buttons on the mouse, not
any of the 9 other buttons). Any other bluetooth device, like a
smartphone, will not be able to connect.

To have full bluetooth functionality, your dongle needs to be in _hci_
mode. In hci mode, you have *all* buttons on keyboard and mouse, and you
will be able to connect with your smartphone.

When you issue the hid2hci command, you will notice that you are able to
connect your smartphone. However, when it asks you to enter a pin code on
the pc to verify the bluetooth connection, you will curse. Why? Because
with hid2hci, you have shut out your keyboard again...

--
Amedee

During the past few weeks a lot of updates have been published for bluez-utils and related packages. See the changelog:
http://changelogs.ubuntu.com/changelogs/pool/main/b/bluez-utils/bluez-utils_3.26-0ubuntu4/changelog

These are available in up-to-date Ubuntu Hardy 8.04 installs.

Feb. 15 updates include input modules (so, keyboard and mouse) updates. If anyone having BT input devices pairing problems could download a LiveCD Hardy, update it and try the pairing method described in the (recently updated) docs, it would help isolate this problem from 8.04 and focus on what the solution for 7.10 could be:
https://help.ubuntu.com/community/BluetoothInputDevices

I've also subscribed Canonical QA to this bug, hoping we can get their input (no pun intended) :)

Thank you.

Jaba (jpylvanainen) wrote :

General
I followed the howto on:

http://www.ubuntugeek.com/howto-setup-bluetooth-keyboard-and-mouse-in-ubuntu.html

I got MX5000 to work in Hardy in bluetooth mode by using:
sudo hidd --search to connect the keyboard
sudo hidd --connect MOUSE_ADDR, to connect the mouse
then i restarted bluetooth and gdm and they started working.

There is still work to be done to make use of all the extra keys
and buttons.

Jaba schreef:
> General
> I followed the howto on:
>
> http://www.ubuntugeek.com/howto-setup-bluetooth-keyboard-and-mouse-in-
> ubuntu.html
>
>
> I got MX5000 to work in Hardy in bluetooth mode by using:
> sudo hidd --search to connect the keyboard
> sudo hidd --connect MOUSE_ADDR, to connect the mouse
> then i restarted bluetooth and gdm and they started working.
>
> There is still work to be done to make use of all the extra keys
> and buttons.
>
>
Did you type all that with your bluetooth keyboard?
And did you test another device too, like a smartphone.
All 3 devices should work: keyboard, mouse, smartphone.
If at least one of them does not work properly, the issue is not solved.

--
Amedee

@Jaba, thanks for testing and the feedback.

@everyone, tt unfortunately seems this report has gone unnoticed by developers for quite some time and I'd like to bring this to their attention. However, we first need to have the proper debugging information against the latest release. As Fabian pointed out, it would be great if people could test with the latest Hardy Heron 8.04 release. You should be able to test via a LiveCD. Hardy Heron 8.04 release candidates are currently available and the daily images can be found here: http://cdimage.ubuntu.com/daily-live/current/ . If this issue still exists, please include the following information. Be sure to attach each file separately.

* lsusb > lsusb.log
* dmesg > dmesg.log

Thanks again and we appreciate your help and support.

This is still a problem in Hardy with all the latest updates: My Logitech mouse stops working if I leave the computer too long. The only workaround I've found is to turn the physical bluetooth switch on the laptop off and on again.

DaveAbrahams (boostpro) wrote :

Hi Dave,

Care to also maybe attach your /var/log/syslog. Thanks.

DaveAbrahams (boostpro) wrote :

Done

I'm using the Logitech diNovo Media Desktop Laser, and Hardy/8.04 64 bit. I seem to have the issue that requires unplug, and plug of the bluetooth dongle. All the mouse buttons (except the tilt wheel) work after some tinkering, but I still can't get the bluetooth to connect at boot. Let me know if I can help by providing any info. (I'm new to Linux [this month!]) But the whole newbie thing, still, has given me less fits than Vista Ultimate 64.

I've got part of this bug too, in 8.04. Most of the time, my MX5000 keyboard and MX1000 mouse connect on startup just fine, but after they go to sleep (~15 minutes away from the computer), I lose connection. I have another mouse handy so that I can open up the bluetooth preferences and reconnect the devices (simply clicking "disconnect" then wiggling the mouse/hitting a key seems to work). Then, I need to restart X so that all of my mouse buttons work properly.

It seems as though there are two parts to this problem:
1) bluez doesn't know when devices disconnect. Since they reconnect automatically if I disconnect them manually, it seems as though automatic detection of the disconnect would solve most of the problem.
2) When a device disconnects, Xorg unloads the driver, as seen in this portion of my Xorg.0.log:

(EE) Read error: No such device (19, -1 != 16)
(II) Logitech MX1000: Off
(II) Logitech MX1000: Off
(II) UnloadModule: "evdev"

Is there a way to stop X from unloading modules and switching off input devices?

GG (giorgio-gilestro) wrote :

So I think I found people with a similar problem finally.
I have this symptoms: everything works ok until the computer goes to a long idle time: usually the overnight break.
When I am back in the morning the keyboard won't work anymore and I am forced to restart (I can still use the mouse).
Sometimes I get some segfault in gdm during the shuting down procedure but I am not sure that is related.
Now I unplugged the bluetooth dongle from the PC last week and guess what? Problem seems to have disappeared.
The funny thing is: *my keyboard is not a bluetooth one! It's just a regular usb keyboard*!!!

I know lots of people out there are experiencing the same issue. I could not think it was somehow related to bluetooth!

DaveAbrahams (boostpro) wrote :

This problem seems to have magically disappeared, perhaps with the latest updates. It's too early to tell for certain; I will report back here if it happens again.

On Thu, June 12, 2008 01:27, DaveAbrahams wrote:
> This problem seems to have magically disappeared, perhaps with the
> latest updates. It's too early to tell for certain; I will report back
> here if it happens again.

I still have the problem with Ubuntu 8.04.

But with OpenSuse, the bluetooth mouse&keyboard work out of the box. I
didn't have to do anything at all!
So the solution for me personally is: switch to OpenSuse. As long as it's
Linux, I really don't care which distribution it is.

--
Amedee

Emmet Hikory (persia) on 2008-10-10
Changed in bluez-utils:
assignee: bluetooth → nobody

Since this was confirmed to be fixed by a user, I'm closing out the bug. If anyone has these problems still with the latest Intrepid packages, please open a new bug.

Changed in bluez:
status: Confirmed → Fix Released
Amedee Van Gasse (amedee) wrote :

I wrote a workaround (not a fix) in this bug report:
https://bugs.launchpad.net/ubuntu/+source/bluez/+bug/318465

Amedee Van Gasse (amedee) wrote :

I disagree, the bug isn't fixed. Not even in 11.10.
A workaround is not a fix. A fix is something that makes it work out of the box in the next version.

Imfor Umman (imforumman) wrote :

This is still not fixed in 12.04 LTS: Logitech MX5500 Revolution does not work after booting the system, rendering the system dead for the non-tech-savy user and is just plain and simple a game-killer (bug-importance: Undecided / Medium???). Replugging the BT receiver is not an honest option.

BTW: The title is misleading: Not only Apple is affected and I have no idea about "Dapper/Edgy/Feisty", if this has been going on for six years, "everything" seems more inclusive.

Thomas Hotz (thotz) wrote :

Can someone please reopen the bluez task? Thank you!

Changed in bluez-utils (Ubuntu):
status: New → Invalid
summary: - Apple Bluetooth Mouse and Keyboard pairing broken in Dapper/Edgy/Feisty
+ Apple Bluetooth Mouse and Keyboard pairing broken
Displaying first 40 and last 40 comments. View all 157 comments or add a comment.